=== added file '.gitignore'
--- .gitignore	1970-01-01 00:00:00 +0000
+++ .gitignore	2013-06-07 14:58:52 +0000
@@ -0,0 +1,9 @@
+# default build dir
+/builddir
+# QtCreator project files
+/*.user
+# Eclipse project files
+/.project
+/.cproject
+/.settings
+/.pydevproject

=== modified file 'run_on_device'
--- run_on_device	2013-06-07 12:12:24 +0000
+++ run_on_device	2013-06-07 14:58:52 +0000
@@ -63,7 +63,8 @@
 }
 
 sync_code() {
-    bzr export --uncommitted --format=dir /tmp/$CODE_DIR
+    [ -e .bzr ] && bzr export --uncommitted --format=dir /tmp/$CODE_DIR
+    [ -e .git ] && git checkout-index -a -f --prefix=/tmp/$CODE_DIR/
     rsync -crlOzv -e "ssh -p $TARGET_SSH_PORT -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no" /tmp/$CODE_DIR/ $USER@$TARGET_IP:$CODE_DIR/
     rm -rf /tmp/$CODE_DIR
 }

